.input-layout {
  .container:not(.selected) {
    .row-layout-settings,
    .manage-col-container {
      opacity: 0;
      pointer-events: none;
    }
  }

  .container-settings {
    border-top: 1px solid var(--bs-gray-200);
    transition: all 0.15s ease-in-out;
    height: 0;

    &:hover,
    &:active {
      border-top: 1px solid var(--bs-purple-500);

      .btn-layout-container {
        opacity: 1;
      }
    }

    .btn-layout-container {
      position: relative;
      top: -14.5px;
      left: -30px;
      opacity: 0.5;
      transition: all 0.15s ease-in-out;
    }

    &.empty {
      height: auto;
      padding: $spacer;
      text-align: center;
    }
  }
}
